| OpenMS 2.5.0

MzMLSplitter

Splits an mzML file into multiple parts

This utility will split an input mzML file into N parts, with an approximately equal number of spectra and chromatograms in each part. N is set by the parameter `parts`; optionally only spectra (parameter `no_chrom`) or only chromatograms (parameter `no_spec`) can be transferred to the output.

Alternatively to setting the number of parts directly, a target maximum file size for the parts can be specified (parameters `size` and `unit`). The number of parts is then calculated by dividing the original file size by the target and rounding up. Note that the resulting parts may actually be bigger than the target size (due to meta data that is included in every part) or that more parts than necessary may be produced (if spectra or chromatograms are removed via `no_spec/`no_chrom`)`.

This tool cannot be used as part of a TOPPAS workflow, because the number of output files is variable.

The command line parameters of this tool are:

    MzMLSplitter -- Splits an mzML file into multiple parts

    Full documentation: http://www.openms.de/documentation/UTILS_MzMLSplitter.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      MzMLSplitter <options>

    Options (mandatory options marked with '*'):

      -in <file>*        Input file (valid formats: 'mzML')

      -out <file>        Prefix for output files ('_part1of2.mzML' etc. will be appended; default: same as 'in'

                         without the file extension)

      -parts <num>       Number of parts to split into (takes precedence over 'size' if set) (default: '1' min:

                         '1')

      -size <num>        Approximate upper limit for resulting file sizes (in 'unit') (default: '0' min: '0')

      -unit <choice>     Unit for 'size' (base 1024) (default: 'MB' valid: 'KB', 'MB', 'GB')

      -no_chrom          Remove chromatograms, keep only spectra.

      -no_spec           Remove spectra, keep only chromatograms.

    Common UTIL options:

      -ini <file>        Use the given TOPP INI file

      -threads <n>       Sets the number of threads allowed to be used by the TOPP tool (default: '1')

      -write_ini <file>  Writes the default configuration file

      --help             Shows options

      --helphelp         Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+MzMLSplitter Splits an mzML file into multiple parts
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'MzMLSplitter'
in Input file input file*.mzML
out Prefix for output files ('_part1of2.mzML' etc. will be appended; default: same as 'in' without the file extension)
parts 1 Number of parts to split into (takes precedence over 'size' if set)1:∞
size 0 Approximate upper limit for resulting file sizes (in 'unit')0:∞
unit MB Unit for 'size' (base 1024)KB,MB,GB
no_chrom false Remove chromatograms, keep only spectra.true,false
no_spec false Remove spectra, keep only chromatograms.true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false